Description

The first time a workflow is saved, the center of the canvas changes. The actors originally in the center are now in the top left. (This
does not happen when saving as MoML or in Vergil.)

History

#1 - 11/06/2012 08:39 PM - Christopher Brooks

Try looking at these changes in the ptll tree:
2012-09-27 12:34 cds

e [r64721] /trunk/ptolemy/vergil/basic/BasicGraphFrame.java: -
Changed: Added a little space between the model and its border to
the top-left-corner locating code.

2012-09-27 11:55 cds

® [r64720] /trunk/ptolemy/vergil/basic/BasicGraphFrame.java: -
Changed: If no zooming and panning info are present in a model,
the Vergil view's top left corner is now set to the top left
corner of the model.

Edward wrote:

--start--

| agree. If there is no zoom or pan information in the model,
the viewport should have (minX, minY) at the upper left.

This would be an improvement....
--end--

Christoph Daniel wrote:

--start--

| implemented this and just committed the change. The view's top left
corner is now set to the top left corner of the model if no zooming or
panning info are available.

By the way, Christopher, your demo model (c1.xml) actually did contain
zooming and panning info, so the code change does not affect how that
model is loaded. Perhaps some kind of a sanity check on zooming and
panning info would be nice? Not sure how to define "sanity" here, though...
--end--

#2 - 11/26/2012 04:51 PM - Christopher Brooks

There are some similar issues in vergil, so I'll take this bug, fix vergil and
then reassign it to Derik after | fix this in Ptolemy.

#3 - 01/16/2013 07:26 PM - Daniel Crawl
This was fixed by change r31332 to ExportArchiveAction: the window size, position, and zoom are now added to the workflow so the viewport is not

changed.

#4 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5727

04/20/2024 1/1



http://www.tcpdf.org

